<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';

if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

 /*---Для выделения меню---*/
$url_page = $_SERVER['REQUEST_URI'];
$bg = 'class="mmmenu"';
$bg1 = 'class="mmenu"';
?>
  <?
 if ( !isset( $_SESSION['id'] ) or $config_user['account'] != 5 ) {
 echo '';
 } else {
 
 if(isset($_POST[idtovar])){
 $pdo->Query("DELETE FROM php_coment WHERE `id` = ".intval($_POST[idtovar])."");
 }
    ?>
  <div class="big_topics bor_top round3 FFF hr">
      <div class="main_top hr_menu padd5">
    <a <? if ( strpos( $url_page, 'admhome' ) ) echo $bg; else echo $bg1; ?> href="/admhome">Мод.Товаров</a>
    <a <? if ( strpos( $url_page, 'userpay' ) ) echo $bg; else echo $bg1; ?> href="/userpay">Выплаты</a>
    <a <? if ( strpos( $url_page, 'userlist' ) ) echo $bg; else echo $bg1; ?> href="/userlist">Пользователи</a>
    <a <? if ( strpos( $url_page, 'alltovar' ) ) echo $bg; else echo $bg1; ?> href="/alltovar">Все товары</a>
     <a <? if ( strpos( $url_page, 'set_con' ) ) echo $bg; else echo $bg1; ?> href="/set_con">Платежки</a>
<a <? if ( strpos( $url_page, 'all_con' ) ) echo $bg; else echo $bg1; ?> href="/all_con">Др. настройки</a>
<a <? if ( strpos( $url_page, 'coment' ) ) echo $bg; else echo $bg1; ?> href="/coment">Комментарии</a>
	 </div>
       
       <div class="wrap_user_r">
       <div class="menu_title">Список всех комментарий:</div>
        <div class="padd5"></div>


        <style>

#main{
  overflow:hidden;
  top:expression(document.getElementsByTagName('body')[0].scrollTop+'px');
  width:740px;
  height: 900px;
}

#content{
  width:740px;
  height:900px;
  overflow: auto;
}

#wscroll{
  position:absolute;
  width:1px;
  top:0;
  left:0;
}

</style>
        <script type="text/javascript">
var el_id='content';

//Возвращает: координаты x/y, ширину, высоту элемента
var el_xy=abs_pos(el_id);

//коорд. Y + высота элемент #content
var el_yh=(el_xy['y']+el_xy['h']);

//Высота #content с учетом прокрутки
var el_sh=get_scroll_height(el_id);

//Ширина и высота окна (видимая область сайта)
var cw=get_client_width();
var ch=get_client_height();

/* Центрируем элемент #main */
var xy=abs_pos('main');
if(cw>xy['w']) set_style('main', 'marginLeft', ((cw-xy['w'])/2));
if(ch>xy['h']) set_style('main', 'marginTop', ((ch-xy['h'])/2));

/*
Условия:
  1) Прокручиваемый элемент должен быть полностью виден в окне браузера.
  2) Наличие скрытого текста для прокрутки.
*/

if(ch>=el_yh && el_sh>el_xy['h']){
//Закрепляем фон страницы
  set_style(get_doc_body(), 'backgroundAttachment', 'fixed');

//Высота окна + высота скрытой части текста
  var el_ys=ch+(el_sh-el_xy['h']);

//Задаем длину линии #wscroll для ее прокрутки
  set_style('wscroll', 'height', el_ys);

//Скрываем элементы прокрутки #content
  set_style(el_id, 'overflow', 'hidden');

//Фиксируем элемент #main
  set_style('main', 'position', 'fixed');

//Если неподдерживается fixed, то задаем обратно absolute (на всякий случай).
  if(get_style('main', 'position')!='fixed')
    set_style('main', 'position', 'absolute');

/*
Функция-обработчик события OnScroll окна браузера,
ассоциируем с прокруткой элемента #content.
*/
  var func=function(){
//get_scroll_top(элемент) - возвращает значение прокрутки.
//Для кроссбраузерности: (document.documentElement || document.body), (0 || 1)=1
    set_scroll_top(el_id, (get_scroll_top(document.documentElement) || get_scroll_top(document.body)));
  }

  if(typeof(document.onscroll)!=='undefined') document.onscroll=func;
  else window.onscroll=func;

}else set_style('main', 'top', 0);
</script>
 <div id="wscroll"></div>

<div id="main">
  <div id="content">
  <div style="overflow: hidden;">
    <div style="width: 1000%;">
	<div style="float: left; width: 315px; ">
     <form method = "POST">
      сортировка <select required size = "1" name = "name">
        <option  value = "id">По id</option>
        <option value = "reyting">По рейтингу</option>
	
    </select>
    <input type = "submit" value = "Выполнить">
</form>
</div>
<div style="float: left; width: 280px; ">
     <form method = "POST">
      поиск <input type="text" name="login" placeholder="Логин" />
    </select>
    <input type = "submit" value = "Выполнить">
</form>
</div>
</div>
</div>
    <?
	$login=trim(clean($_POST[login]));
	 if($login!=""){ $login='where user="'.$login.'" ';}
	
    $name=clean($_POST[name]);
    if($name==""){ $name='id';}
    $sql = $pdo->Query("SELECT * FROM `php_coment` $login  ORDER BY `$name` DESC");
    while($coment = $sql->Fetch())
    {
        ?>
        <div id="id<?=$coment['id']?>" class="wrap_ref">
           <div style="font-size: 14px;">
      <div class="clr3"></div>
	  <div><b>Пользователь:</b> <?=$coment[user]?>  <b>ID Товара:</b> <?=$coment[idtovar]?> <div style="float:right;"><font color="#335783"> <?= date("Y-m-d H:i:s",$coment[cdate])?></font></div>
	  <div style="float:right;" class="rating"><div class="vote-wrap"><div class="vote-hover" style="padding: 0px 4px; height: 20px; width: 160px;"><div class="vote-block"><div class="vote-stars" style="background: transparent url(&quot;img/stars.png&quot;) repeat scroll left top / 20px auto; height: 20px; width: 100px;"></div><div class="vote-active" style="background: transparent url(&quot;img/stars.png&quot;) repeat scroll left bottom / 20px auto; height: 20px; width: <?=20*$coment[reyting]?>px;"></div></div></div><div class="vote-result"></div><div class="vote-success"></div></div></div>
	  </div>
      <div class="clr3" ></div>
	  <?=$coment[coment]?>
	  </div>
     
        <div style="position: absolute; right: 5px; bottom: 17px;">
            <form style="margin-left:10px;" method="POST"  id="set">
 <input name="idtovar" value="<?=$coment['id']?>" type="hidden">
 <input type="submit"  style="height: 15px;" class="mdel" value=""></form>
        </div>
    </div>
        <?
    }
    ?>

        </div>
</div>
       </div>

 </div>

<?}}?>